@import 'src/variables';

.random_shows {
  display: flex;
  height: 200px;
  margin-top: 40px;
  padding-left: 40px;
  background: linear-gradient(
    90deg,
    $primaryBgColor 0%,
    $primaryGreyColor 100%
  );

  .btn_random_container {
    display: flex;
    align-items: center;
    flex: 0 0 25%;
    max-width: 25%;
    .btn_random {
      cursor: pointer;
      padding: 0 2.4rem;
      height: 52px;
      letter-spacing: 2px;
      border: none;
      background: $primaryGreyColor;
      color: $thirdGreyColor;
      &:hover {
        background: $thirdGreyColor;
        color: $primaryBgColor;
      }
      &:disabled {
        opacity: 0.5;
        cursor: not-allowed;
        &:hover {
          background: $primaryGreyColor;
          color: $thirdGreyColor;
        }
      }
    }
  }
  .text_container {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: center;
    line-height: 2.4;
    color: $thirdGreyColor;
    font-size: calc(8px + 8 * (100vw / 1390));
    .text {
      margin: 0;
      letter-spacing: 2px;
    }
  }
}

@media (max-width: 767px) {
  .random_shows {
    height: 200px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    .text_container {
      margin-top: 16px;
      font-size: calc(8px + (4 + 4 * 0.7) * ((100vw - 320px) / 1390));
    }
  }
}
